
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【设计模式】——工厂方法FactoryMethod / iVAN</title>

    <meta name="description" content="【设计模式】——工厂方法FactoryMethod 模式意图 工厂方法在MVC中应用的很广泛. 工厂方法意在分离产品与创建的两个层次,使用户在一个工厂池中可以选择自己想要使用的产品,而忽略其创建过程. 简单来说,就像一个大型的工厂,对于消费者来说,只需要知道都有什么工厂的产品生产出来,而不需要关心工厂是如何生产产品的.对于工厂来说,必须知道所有的产品的制造方法. 模式结构 Creator 创建工厂的接口 ConcreteCreator 具体的产品创建者 Product 产品的接口 ConcreteProduct 具体的产品 适合场景 1 当一个类">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">【设计模式】——工厂方法FactoryMethod</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>　　模式意图</h2>
<p>　　工厂方法在MVC中应用的很广泛。</p>
<p>　　工厂方法意在分离产品与创建的两个层次，使用户在一个工厂池中可以选择自己想要使用的产品，而忽略其创建过程。</p>
<p>　　简单来说，就像一个大型的工厂，对于消费者来说，只需要知道都有什么工厂的产品生产出来，而不需要关心工厂是如何生产产品的。对于工厂来说，必须知道所有的产品的制造方法。</p>
<h2>　　模式结构</h2>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzQ0OTA2NC8yMDE0MTAvMjIyMDAwNTQ0NjU5Mjk3LmpwZw==.jpg"></p>
<p>　　Creator 创建工厂的接口</p>
<p>　　ConcreteCreator 具体的产品创建者</p>
<p>　　Product 产品的接口</p>
<p>　　ConcreteProduct 具体的产品</p>
<h2>　　适合场景</h2>
<p>　　<strong>1 当一个类不知道它所必须创建的对象的类的时候。</strong></p>
<p><strong>　　2 当一个类希望由他的子类来制定它所创建的对象的时候</strong></p>
<p><strong>　　3 当类创建对象的职责委托给多个帮助子类中的某一个，并且希望进行一些信息的局部初始化的时候。</strong></p>
<h2>　　代码结构</h2>
<p>　　工厂方法需要一个工厂接口，提供了基本的类模式，和一个产品接口，提供基本的方法。</p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre>1 interface Creator{
2     public Product factory();
3 }
4 interface Product{
5     public void Say();
6 }</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<p>　　接下来就是具体的工厂方法，可以创建不同的产品。</p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre> 1 class ConcreteCreator1 implements Creator{
 2     public Product factory() {
 3         return new ConcreteProduct1();
 4     }
 5 }
 6 class ConcreteCreator2 implements Creator{
 7     public Product factory() {
 8         return new ConcreteProduct2();
 9     }
10 }</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<p>　　其次需要不同的产品。</p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre> 1 class ConcreteProduct1 implements Product{
 2     public void Say() {
 3         System.out.println("ConcreteProduct1");
 4     }
 5 }
 6 class ConcreteProduct2 implements Product{
 7     public void Say() {
 8         System.out.println("ConcreteProduct2");
 9     }
10 }</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<p>　　使用方法，大致如下</p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre> 1 public class test {
 2     public static Creator creator1,creator2;
 3     public static Product product1,product2;
 4     public static void main(String[] args){
 5         creator1 = new ConcreteCreator1();
 6         creator2 = new ConcreteCreator2();
 7
 8         product1 = creator1.factory();
 9         product2 = creator2.factory();
10
11         product1.Say();
12         product2.Say();
13     }
14 }</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<h2>　　生活中的设计模式</h2>
<p>　　<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzQ0OTA2NC8yMDE0MTAvMjIyMDE1NTcxOTk1ODQyLmpwZw==.jpg"></p>
<p>　　目前的生活，是一种快餐的生活。有时候不想做饭，去饭店也等不及，肯德基、麦当劳、德克士就成为了一种很方便的方式。</p>
<p>　　我们去肯德基，通常会吃点汉堡，点点可乐，不需要知道这些东西是怎么做出来的，直接点，拿到吃，简单方便，这就是生活中的快餐工厂。</p>
<p>　　通过一个MakeChoice方法，可以统一的进行选择。</p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre>interface KFC {
    public Client working();
}

interface Client {
    public void eating();
}

class Bread_Menu implements KFC {
    public Client working() {
        return new Client_Bread();
    }
}

class Cola_Menu implements KFC {
    public Client working() {
        return new Client_Cola();
    }
}

class Client_Bread implements Client {
    public void eating() {
        System.out.println("顾客 吃面包");
    }
}

class Client_Cola implements Client {
    public void eating() {
        System.out.println("顾客 喝可乐");
    }
}

public class FactoryMethodTest {
    public static KFC waiter;
    public static Client client1,client2;

    public static KFC MakeChoice(KFC maker){
        if(maker instanceof Bread_Menu){
            return new Bread_Menu();
        }else{
            return new Cola_Menu();
        }
    }

    public static void main(String[] args){

        System.out.println("-------------想吃面包-----------------");
        waiter = MakeChoice(new Bread_Menu());
        client1= waiter.working();
        client1.eating();

        System.out.println("-------------想喝可乐-----------------");
        waiter = MakeChoice(new Cola_Menu());
        client2 = waiter.working();
        client2.eating();
    }
}</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<p>　　执行如下</p>
<pre>-------------想吃面包-----------------
顾客 吃面包
-------------想喝可乐-----------------
顾客 喝可乐</pre>
<p> </p>
<p>本文转自博客园xingoo的博客，原文链接：<a href="http://www.cnblogs.com/xing901022/p/4044211.html" rel="external nofollow noreferrer">【设计模式】——工厂方法FactoryMethod</a>，如需转载请自行联系原博主。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-04 09:11:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/static/" title="static">static</a>, <a href="https://www.iamivan.net/tag/void/" title="void">void</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>【设计模式】——工厂方法FactoryMethod的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6Vn6M.html" rel="bookmark">PHP设计模式&mdash;&mdash;工厂方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  声明:本系列博客参考资料&lt;大话设计模式&gt;,作者程杰.              前面我们介绍了简单工厂,今天我们继续学习另外一个工厂--工厂方法.            具体案例:请MM去麦当劳吃汉堡,不同的MM有不同的口味,要每个都记住是一件烦人的事情,我们一般采用FactoryMethod模式,带着MM到服务员那儿,说&quot;要一个汉堡&quot;,具体要什么样的汉堡呢,让MM直接跟服务员说就行了.         工厂方法模式核心工厂类不再负责所有产品的创建,而是将具体创建的工作			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn02X2b.html" rel="bookmark">&period;NET设计模式-工厂方法模式（Factory Method）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				工厂方法模式(Factory Method) --.NET设计模式系列之五 Terrylee,2004年1月2日 概述 在软件系统中,经常面临着&quot;某个对象&quot;的创建工作,由于需求的变化,这个对象的具体实现经常面临着剧烈的变化,但是它却拥有比较稳定的接口.如何应对这种变化?提供一种封装机制来隔离出&quot;这个易变对象&quot;的变化,从而保持系统中&quot;其它依赖该对象的对象&quot;不随着需求的改变而改变?这就是要说的Factory Method模式了. 意图 定义一个用户创			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zenXNwb.html" rel="bookmark">跟屌丝大哥学习设计模式--工厂方法模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				东汉&lt;风俗通&gt;记录了一则神话故事:&quot;开天辟辟,未有人民,女娲搏,黄土作人--&quot;,讲述的内容就是大家非常熟悉的女娲造人的故事.开天辟地之初,大地上并没有生物,只有苍茫大地,纯粹而洁净的自然环境,寂静而又寂寞,于是女娲决定创造一个新物种(即人类)来增加世界的繁荣,怎么制造呢?       别忘了女娲是神仙,没有办不到的事情,造人的过程是这样的:首先,女娲采集黄土捏成人的形状,然后放到八卦炉中烧制,最后放置到大地上生长,工艺过程是没有错的,但是意外随时都会发生:       第一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWXjlXp.html" rel="bookmark">炒冷饭系列：设计模式 工厂方法模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.什么是工厂方法模式 工厂方法模式同样属于类的创建型模式又被称 为多态工厂模式 .工厂方法模式的意义是定义一个创建 产品对象的工厂接口,将实际创建工作推迟到子类当中. 核心工厂类不再负责产品的创建,这样核心类成为一个 抽象工厂角色,仅负责具体工厂子类必须实现的接口, 这样进一步抽象化的好处是使得工厂方法模式可以使系 统在不修改具体工厂角色的情况下引进新的产品. 二.模式中包含的角色及其职责 1.抽象工厂(Creator)角色 工厂方法模式的核心,任何工厂类都必须实现这个接口. 2.具体工厂(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQoW0z.html" rel="bookmark">工厂方法&lpar;FactoryMethod&rpar;模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为创建对象定义一个接口,让子类决定实例化哪个类.工厂方法让一个类的实例化延迟至子类. public interface Factory{ Product createproduct(); }//Factory接口定义了createproduct()方法来返回Product类型的实例对象, //ConcreateFactory实现了该方法,每次调用都会实例化一个新的ConcreateProduct返回 public class ConcreateFactory implements Factory			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M62Q4gM.html" rel="bookmark">解读设计模式----工厂方法模式&lpar;FactoryMethod Pattern&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述: Factory Method模式是应用最为广泛的设计模式,毕竟他负责了一系列对象的创建,而对象的创建正是面向对象编程中最为繁琐的行为.GOF在&lt;设计模式&gt;一书写到,&quot;Factory Method模式使一个类的实例化延迟到子类.&quot;准确的说,Factory Method模式是将创建对象实例的责任,转移到了工厂类中,并利用抽象原理,将实例化行为延迟到具体工厂类. 意图: 定义一个用于创建对象的接口,让子类决定将哪一个类实例化.Factory Method模式使一个类的实例			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAAKReM.html" rel="bookmark">举例解析设计模式中的工厂方法模式在C&plus;&plus;编程中的运用&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				工厂方法模式不同于简单工厂模式的地方在于工厂方法模式把对象的创建过程放到里子类里.这样工厂父对象和产品父对象一样,可以是抽象类或者接口,只定义相应的规范或操作,不涉及具体的创建或实现细节. 其类图如下: 实例代码为: #pragma once class IProduct { public: IProduct(void); virtual ~IProduct(void); }; #pragma once #include &quot;iproduct.h&quot; class IPad : public			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWWKQXM.html" rel="bookmark">Java设计模式编程之工厂方法模式的使用&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				定义:定义一个用于创建对象的接口,让子类决定实例化哪一个类,工厂方法使一个类的实例化延迟到其子类. 类型:创建类模式 类图: 工厂方法模式代码 interface IProduct { public void productMethod(); } class Product implements IProduct { public void productMethod() { System.out.println(&quot;产品&quot;); } } interface IFactory { publ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNnOg7M.html" rel="bookmark">Java使用设计模式中的工厂方法模式实例解析&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				工厂方法模式的定义工厂方法(Factory Method)模式的意义是定义一个创建产品对象的工厂接口,将实际创建工作推迟到子类当中.核心工厂类不再负责产品的创建,这样核心类成为一个抽象工厂角色,仅负责具体工厂子类必须实现的接口,这样进一步抽象化的好处是使得工厂方法模式可以使系统在不修改具体工厂角色的情况下引进新的产品. 它包含了如下角色: 抽象产品(Product) 具体产品(ConcreteProduct) 抽象工厂(Factory) 具体工厂(ConcreteFactory) 模式的UML类			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvn8rM.html" rel="bookmark" class="title">ps中透明图层锁定不能进行编辑怎么办？</a>
					<div>
						  有的时候在我们刚刚用软件打开一个带有透明背景的图层要进行编辑的时候,它会显示出这样的话,不能完成命令,因为所选的区域是空的.可是明明是透明的背景图层,并且上面还有文字,就是不能对它们进行编辑,这样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mxa2mp.html" rel="bookmark" class="title">任意时间段量的统计</a>
					<div>
						统计 如果查询时间段是维中的成员,那么这段时间的量的汇总可以直接得出!(缺省状态下,维中成员是按级别汇总的),如查询1997年或1997年3月的汇总,可以使用以下语句:select     {[Tim ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze42BNp.html" rel="bookmark" class="title">XML替代APPLICATION实现服务器缓存</a>
					<div>
						在ASP开发程序的时候,为了提高ASP运行性能往往会使用APPLICATION作为服务器缓存,APPLICATION缓存占用的是服务器内存空间,如果在ASP程序中大量使用APPLICATION缓存或者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6lyEz.html" rel="bookmark" class="title">AOP&commat;Work&colon; 使用AspectJ 5检验库方面</a>
					<div>
						编写符合所有类型用户需求的可重用方面 简介:AspectJ 5 新的语言和部署特性简化了库方面(library aspect), 而 库方面又保证一般的开发人员能够掌握 AOP.尽管有着不可思议的易用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNE9Q7b.html" rel="bookmark" class="title">Android中获得手机屏幕大小实现代码</a>
					<div>
						  这篇文章主要介绍了Android中获得手机屏幕大小实现代码,Android开发中经常需要获得屏幕的宽高,本文直接封装成一个工具类,需要的朋友可以参考下 Android在自定义控件时,经常需要获得屏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91r1RM.html" rel="bookmark" class="title">Win7下无法启动msn怎么办</a>
					<div>
						MSN在Win7下无法启动并报错怎么办? MSN是我们常用的即使聊天工具,不过最近因为更新导致很多Windows Live Messenger用户无法启动MSN,官方已经给出了解释,称MSN无法启动是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2qeBp.html" rel="bookmark" class="title">Win8系统里安装和配置微软媒体中心</a>
					<div>
						Windows Media Center(媒体中心)从Win8开始不再预装在系统中,用户只能单独购买安装包进行安装. 安装步骤如下: 1.打开微软发出的包含许可密钥的电子邮件,复制. 2.滑出屏幕右侧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZZe4b.html" rel="bookmark" class="title">Win8如何删除Thumbs&period;db文件？</a>
					<div>
						  1.在系统桌面按 Win+R键,输入gpedit.msc后回车. 2.在打开的窗口是依次找到 &quot;用户配置-&gt;管理模板-&gt;Windows组件-&gt;文件资源管理器&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24ZwVp.html" rel="bookmark" class="title">网页设计中纹理的运用技巧</a>
					<div>
						  texture在设计中应用已经越发完善了.它将形成一种趋势,简单而有效的为web页面设计添加几分深度感. 充分发挥texture的威力是一份伟大的职责.它不仅能够很好增强web设计的表现效果,对于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArY1Ap.html" rel="bookmark" class="title">win8&period;1系统无法睡眠怎么办？</a>
					<div>
						  1.更新显卡驱动,我们可以利用驱动精灵更新,或者直接官网获取最新的官方更新. 2.依次打开注册表HKEY_LOCAL_MACHINESYSTEMCurrentControlSetControlSe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6evoyb.html" rel="bookmark" class="title">win7旗舰版U盘不能自动打开的解决方法</a>
					<div>
						U盘作为文件存储和转移的重要介质,现在使用的人群越来越多.当然,另一方面,U盘的价格变得十分便宜,而且容量也变得越来越大,这也是非常重要的一个因素.使用U盘的过程中,我们可能遇到这样的问题:一般的情况 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwJe3p.html" rel="bookmark" class="title">移动硬盘日常保养使用的十大操作技巧</a>
					<div>
						本文和广大的电脑爱好者分享关 于移动硬盘日常使用十大操作技巧 ,使用移动硬盘同样需要技巧讲究方法和技巧,很多用户购买移动硬盘使用中出现问题,比如弄丢移动硬盘里的数据,移动硬盘中病毒等等问题,甚至有的用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oJ9Ab.html" rel="bookmark" class="title">iOS设计模式之中介者模式</a>
					<div>
						中介者模式 基本理解 中介者模式又叫做调停者模式,其实就是中间人或者调停者的意思. 尽管将一个系统分割成许多对象通常可以增加可复用性,但是对象之间的连接又降低了可复用性. 如果两个类不必彼此直接通信, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWZdBb.html" rel="bookmark" class="title">oracle数据库优化一则</a>
					<div>
						本次优化涉及到oracle数据库大量insert 数据索引带来的开销,使用append.parallel的方式进行改善性能. 一.首先熟悉一下oracle hint的方法 Oracle Hints是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7vxyp.html" rel="bookmark" class="title">linux-Windows和Linux下程序的区别</a>
					<div>
						问题描述 Windows和Linux下程序的区别 Windows和Linux下程序的区别Windows和Linux下程序的区别Windows和Linux下程序的区别Windows和Linux下程序的区 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjg6Vp.html" rel="bookmark" class="title">多线程问题-一个linux环境下C的多线程开发的问题</a>
					<div>
						问题描述 一个linux环境下C的多线程开发的问题 大家好! 我现在做的一个课题,是基于liunx环境下用C开发的.模型属于经典的生产者消费者模型,有一个生产者线程会根据接收的外部消息产生相应的任务放 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32m5wz.html" rel="bookmark" class="title">arraylist-java ArrayList&amp;amp&semi;amp&semi;lt&semi;Set&amp;amp&semi;amp&semi;lt&semi;Integer&amp;amp&semi;amp&semi;gt&semi;&amp;amp&semi;amp&semi;gt&semi;数组如何定义</a>
					<div>
						问题描述 java ArrayList&lt;Set&lt;Integer&gt;&gt;数组如何定义 各位朋友,我在类的定义中出现了private static final ArrayList&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA11OM.html" rel="bookmark" class="title">ps-我看Azure里面有extention，可以通过PS去做，国内的可以么？我尝试了下，木有成功</a>
					<div>
						问题描述 我看Azure里面有extention,可以通过PS去做,国内的可以么?我尝试了下,木有成功 我看Azure里面有extention,可以通过PS去做,国内的可以么?我尝试了下,木有成功 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NLB9M.html" rel="bookmark" class="title">redis4&period;0之RDB-AOF混合持久化</a>
					<div>
						前言 redis有两种持久化的方式--RDB和AOF其中RDB是一份内存快照AOF则为可回放的命令日志他们两个各有特点也相互独立.4.0开始允许使用RDB-AOF混合持久化的方式结合了两者的优点通过a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3Jlkz.html" rel="bookmark" class="title">xcode-新手试一下怎么问问题</a>
					<div>
						问题描述 新手试一下怎么问问题 关于markdown编辑器的问题, 这个编辑器,如果我需要上传帖图片,必须把图片贴到某一个网站,才能上传到这里吗? 解决方案 是的, 自己回答一下自己的问题					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeyQvb.html" rel="bookmark" class="title">Centos 中如何快速定制二进制的内核 RPM 包</a>
					<div>
						随着Linux服务器越来越多了,底层系统内核想要保持版本统一就需要定制专门的二进制安装包来便捷的升级和管理. RedHat系那当然就是使用rpmbuild来做定制化管理了. 今天我们分俩个部分(roo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7Z2np.html" rel="bookmark" class="title">用VS2008自带模板创建的WCF服务库项目，什么都没改过，编译没问题但启动时出错，请帮帮忙。</a>
					<div>
						问题描述 用VS2008自带模板创建的WCF服务库项目,代码配置全都没改过,编译没问题但启动时出错,请帮帮忙.本人用的是win7+vs2008后台输出如下:&quot;WcfSvcHost.exe&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydaLkb.html" rel="bookmark" class="title">国外安全公司称99&percnt;的中国网络犯罪分子通过QQ和微信沟通</a>
					<div>
						国外安全公司之前对网络犯罪分子常使用的即时通讯工具做了一番调查调研.作为网民大国,中国自然也引起了他们的兴趣.网络安全公司Flashpoint表示,99%的中国网络犯罪分子通过大众即时通讯工具沟通,例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXRw5b.html" rel="bookmark" class="title">Linux服务器文件删除策略</a>
					<div>
						磁盘空间满 由于Linux没有回收站功能,所以线上服务器上所有要删除的文件都会先移动到系统/tmp目录下,然后定期清除/tmp目录下的数据.这个策略本身没有问题,但是通过检查发现这台服务器的系统分区中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZoXnp.html" rel="bookmark" class="title">c&plus;&plus;-C&plus;&plus;问题，怎么做出图片这种效果</a>
					<div>
						问题描述 C++问题,怎么做出图片这种效果 解决方案 #include #include #include using namespace std; int main() { int i=10; do ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0V8Qp.html" rel="bookmark" class="title">editgridrow-jqgrid editGridRow 弹出编辑框多行显示</a>
					<div>
						问题描述 jqgrid editGridRow 弹出编辑框多行显示 如果grid的字段多的话,显示在一列,查看时不容易查看,能不能让它在生成的时候都列展示出来 解决方案 你是怎么解决这个问题的? 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgWKoM.html" rel="bookmark" class="title">胡永泰：中国需把巨大储蓄变成有效的生产能力投资</a>
					<div>
						9月15日下午消息 第二届中美经济学家颐和园 对话会举行.布鲁金斯学会非常驻高级研究员胡永泰表示,面对中美贸易之间问题,中国可以采取两方面措施发展经济.其中,金融体制需要改革,可把巨大的储蓄变成有效的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnejrM.html" rel="bookmark" class="title">户外活动网站的运营和推广思路分享</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 因为从事网站优化行业的缘由,帮助一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdDoqz.html" rel="bookmark" class="title">最酷&num;1和&num;2！美国CRN缘何青睐戴尔酷？</a>
					<div>
						近日,美国知名的IT专业杂志CRN(Computer Reseller News)将戴尔第13代PowerEdge C6320和 R930 服务器评为&quot;2015年十大最酷的服务器&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBdA8b.html" rel="bookmark" class="title">世贸组织日前散发了美国诉中国电子支付世贸争端案专家组报告</a>
					<div>
						作为此次争端案涉及的中方机构,中国银联17日回应称,将一如既往联合银行卡产业各方,大力推进银行卡的普及应用,并努力提升自身服务能力和服务水平.同时,加强国际合作,不断满足日益国际化的市场需求. 专家组 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
